<template lang="pug">

	-
		var herramientas = [
			{
				componente: "Imagen",
				titulo: "Imagen",
				icono: "PhotographIcon"
			},

			{
				componente: "Texto",
				titulo: "Texto",
				icono: "PencilIcon"
			},

			{
				componente: "Rectangulo",
				titulo: "Forma",
				icono: "TemplateIcon"
			}
		]

	#herramientas
		.titulo(@click="panel=''") Herramientas

		.botones
			each herramienta in herramientas
				button(
					type= "button",
					:class= `{activo: (panel=='${herramienta.componente}')}`
					@click=`panel=(panel=='${herramienta.componente}') ? "" :"${herramienta.componente}"`
				)
					span= herramienta.titulo
					#{ herramienta.icono }

		.paneles
			each herramienta in herramientas
				#{ herramienta.componente }(
					v-if=`panel == '${herramienta.componente}'`,
					@HerramientaTerminado="panel = ''"
				)

</template>

<script>

import { TemplateIcon,PhotographIcon,PencilIcon,NewspaperIcon, SaveIcon, TrashIcon  } from "@vue-hero-icons/outline"
// import Imagen from "./herramientas/Imagen"
// import Texto from "./herramientas/Texto"
import { mapState, mapGetters, mapMutations, mapActions } from 'vuex'

export default {
	components:{
		SaveIcon,
		PencilIcon,
		TemplateIcon,
		PhotographIcon,
		TrashIcon,
		NewspaperIcon
	},
	data: () => ({
		panel: "",
	}),

}
</script>


<style lang="stylus" scoped>

#herramientas
	// max-width 30vw
	background-color #082B8D
	padding 0
	display grid
	grid-template-areas "titulo titulo" \
		"botones paneles"
	grid-template-rows auto 1fr
	grid-template-columns 1fr auto
	margin-left 0px
	max-width 30vw

.titulo
	grid-area titulo
	padding .5em
	cursor pointer
	color white
	padding-left 10px

.botones
	grid-area botones
	padding 0
	display flex
	flex-direction column
	margin-top 6px

	button
		padding .5em
		outline none
		margin-bottom 20px
		background-color transparent
		padding-right 20px
		padding-left 20px
		width 120px
		display flex
		justify-content flex-start
		align-items center
		color white
		font-size 13px
		span
			background-color transparent
			margin-right 8px
		&.activo
			background-color #014492


.paneles
	grid-area paneles
	padding 0
	background-color #333
	margin-top 6px
	border-radius 0px

</style>
